### Enumeration

# Atk TextBoundary

#### Declaration

    enum Atk.TextBoundary

#### Description [src]

Text boundary types used for specifying boundaries for regions of text. This enumeration is deprecated since 2.9.4 and should not be used. Use AtkTextGranularity with #atk_text_get_string_at_offset instead.

#### Members

`ATK_TEXT_BOUNDARY_CHAR`

  Boundary is the boundary between characters (including non-printing characters).

  - Value: `0`
  - Available since: 1.0
`ATK_TEXT_BOUNDARY_WORD_START`

  Boundary is the start (i.e. first character) of a word.

  - Value: `1`
  - Available since: 1.0
`ATK_TEXT_BOUNDARY_WORD_END`

  Boundary is the end (i.e. last character) of a word.

  - Value: `2`
  - Available since: 1.0
`ATK_TEXT_BOUNDARY_SENTENCE_START`

  Boundary is the first character in a sentence.

  - Value: `3`
  - Available since: 1.0
`ATK_TEXT_BOUNDARY_SENTENCE_END`

  Boundary is the last (terminal) character in a sentence; in languages which use “sentence stop” punctuation such as English, the boundary is thus the ‘.’, ‘?’, or similar terminal punctuation character.

  - Value: `4`
  - Available since: 1.0
`ATK_TEXT_BOUNDARY_LINE_START`

  Boundary is the initial character of the content or a character immediately following a newline, linefeed, or return character.

  - Value: `5`
  - Available since: 1.0
`ATK_TEXT_BOUNDARY_LINE_END`

  Boundary is the linefeed, or return character.

  - Value: `6`
  - Available since: 1.0